//
//  MapProtocoll.swift
//  GoldWars
//
//  Created by Marcel Schwarz on 02.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import Foundation
import SpriteKit

protocol MapProtocol {
    
    var size: CGSize! {get set}
    var entityManager: EntityManager! {get set}
    
    init(scene: SKScene, entityManager: EntityManager)
    
    func load()
}
